#!/bin/sh
#
ME=$(readlink -f "$0")
MEDIR=${ME%/*}

EXT=libdnet

. $MEDIR/phase-default-init.sh

DEPS="libtool-dev autoconf automake"

. $MEDIR/phase-default-deps.sh
. $MEDIR/phase-cc-opts-no-flto.sh

export LDFLAGS="-lm"

sh ./autogen.sh

. $MEDIR/phase-default-config.sh
. $MEDIR/phase-default-make.sh
. $MEDIR/phase-default-make-install.sh

mkdir -p $TCZ-dev/usr/local/lib
mv $TCZ/usr/local/bin $TCZ-dev/usr/local
mv $TCZ/usr/local/share $TCZ-dev/usr/local
mv $TCZ/usr/local/include $TCZ-dev/usr/local
for a in $(find $TCZ -name '*.a'); do
	b=$(echo $(dirname $a) | sed "s#$TCZ#$TCZ-dev#")
	mkdir -p $b
	mv $a $b
done
for a in $(find $TCZ -name '*.la'); do
	b=$(echo $(dirname $a) | sed "s#$TCZ#$TCZ-dev#")
	mkdir -p $b
	mv $a $b
done

. $MEDIR/phase-default-strip.sh
. $MEDIR/phase-default-set-perms.sh
. $MEDIR/phase-default-squash-tcz.sh

